org.eclipse.wst.jsdt.chromium.debug.core.model

## Class LaunchParams

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.LaunchParams

    public class LaunchParams
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `LaunchParams.BreakpointOption`
`static class` `LaunchParams.LookupMode`
`static class` `LaunchParams.PredefinedSourceWrapperIds`
`static class` `LaunchParams.ValueConverter<P,L>`

### Field Summary

Fields
`static java.lang.String` `ADD_NETWORK_CONSOLE`
`static java.lang.String` `ATTR_APP_PROJECT`
`static java.lang.String` `ATTR_APP_PROJECT_RELATIVE_PATH`
`static java.lang.String` `ATTR_BASE_URL`
`static java.lang.String` `ATTR_REMOTE_HOME_DIR`
`static java.util.List<? extends LaunchParams.BreakpointOption>` `BREAKPOINT_OPTIONS`
`static java.lang.String` `BREAKPOINT_SYNC_DIRECTION`
`static java.lang.String` `CHROMIUM_DEBUG_HOST` Launch configuration attribute (debug host).
`static java.lang.String` `CHROMIUM_DEBUG_PORT` Launch configuration attribute (debug port).
`static java.lang.String` `SOURCE_LOOKUP_MODE`
`static java.lang.String` `WIP_BACKEND_ID`

### Constructor Summary

Constructors
Constructor and Description
`LaunchParams()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `findBreakpointOption(java.lang.String optionText)`
`static BreakpointSynchronizer.Direction` `readBreakpointSyncDirection(ILaunchConfiguration launchConfiguration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CHROMIUM_DEBUG_HOST

    public static final java.lang.String CHROMIUM_DEBUG_HOST

Launch configuration attribute (debug host).

See Also:
  Constant Field Values

#### CHROMIUM_DEBUG_PORT

    public static final java.lang.String CHROMIUM_DEBUG_PORT

Launch configuration attribute (debug port).

See Also:
  Constant Field Values

#### ADD_NETWORK_CONSOLE

    public static final java.lang.String ADD_NETWORK_CONSOLE

See Also:
  Constant Field Values

#### BREAKPOINT_SYNC_DIRECTION

    public static final java.lang.String BREAKPOINT_SYNC_DIRECTION

See Also:
  Constant Field Values

#### SOURCE_LOOKUP_MODE

    public static final java.lang.String SOURCE_LOOKUP_MODE

See Also:
  Constant Field Values

#### WIP_BACKEND_ID

    public static final java.lang.String WIP_BACKEND_ID

See Also:
  Constant Field Values

#### ATTR_APP_PROJECT

    public static final java.lang.String ATTR_APP_PROJECT

See Also:
  Constant Field Values

#### ATTR_APP_PROJECT_RELATIVE_PATH

    public static final java.lang.String ATTR_APP_PROJECT_RELATIVE_PATH

See Also:
  Constant Field Values

#### ATTR_REMOTE_HOME_DIR

    public static final java.lang.String ATTR_REMOTE_HOME_DIR

See Also:
  Constant Field Values

#### ATTR_BASE_URL

    public static final java.lang.String ATTR_BASE_URL

See Also:
  Constant Field Values

#### BREAKPOINT_OPTIONS

    public static final java.util.List<? extends LaunchParams.BreakpointOption> BREAKPOINT_OPTIONS

### Constructor Detail

#### LaunchParams

    public LaunchParams()

### Method Detail

#### readBreakpointSyncDirection

    public static BreakpointSynchronizer.Direction readBreakpointSyncDirection(ILaunchConfiguration launchConfiguration)
                                                                        throws CoreException

Throws:
  `CoreException`

#### findBreakpointOption

    public static int findBreakpointOption(java.lang.String optionText)